import express from "express";
import { User } from "../models/index.js";

const router = express.Router();

router
  .route("/")
  .get((req, res) => {
    User.find()
      .then((users) => res.json(users))
      .catch((err) => res.status(400).json("Error: " + err));
  })
  .post((req, res) => {
    const { name, email } = req.body;

    const newUser = new User({ name, email });

    User.findOne({ email: email }, function (err, user) {
      if (user) {
        let resBody = JSON.parse(JSON.stringify(user))
        resBody.message = "User already exists";
        res.status(200).json(resBody);
      } else {
        newUser
          .save()
          .then(() => res.status(201).json(newUser))
          .catch((err) => res.status(400).json("Error: " + err));
      }
    });
  });

router
  .route("/:id")
  .get((req, res) => {
    User.findById(req.params.id)
      .then((user) => res.json(user))
      .catch((err) => res.status(400).json("Error: " + err));
  })
  .delete((req, res) => {
    User.findByIdAndDelete(req.params.id)
      .then(() => res.json(`User ${req.params.id} deleted`))
      .catch((err) => res.status(400).json("Error: " + err));
  });

export default router;