import React from "react";
import { Link } from "react-router-dom";
import Logo from "./images/temple.png";
import "./css/Navbar.css";
import { GoogleLogin, GoogleLogout } from "react-google-login";
// import { Button } from 'react-bootstrap';

function Navbar(props) {
  let clientId = props.clientId;
  let responseGoogle = props.responseGoogle;
  let isLoggedIn = localStorage.getItem("LoginStatus");
  let logout = props.logout;

  return (
    <nav className="navbar" style={{ display: "block", margin: "1vw 1vh" }}>
      <ul
        style={{
          display: "flex",
          justifyContent: "space-between",
          width: "100vw",
        }}
      >
        <li>
          <Link
            to="/"
            className="navbar-logo"
            style={{
              display: "flex",
              alignContent: "baseline",
              margin: "0 30px",
            }}
          >
            <img
              className="TempleLogo"
              src={Logo}
              style={{ margin: "0 30px" }}
              alt="logo"
            />
            WatGunMai
          </Link>
        </li>
        <li style={{ margin: "0 10%" }}>
          {/* <input
            className="searchbox"
            type="text"
            placeholder="Search"
            style={{
              border: "none",
              backgroundColor: "#f0f0f0",
              borderRadius: "10px",
              height: "100%",
              width: "300px",
              padding: "10px",
              margin: "0 20px",
            }}
          /> */}
          {isLoggedIn == "1" ? (
            <GoogleLogout
              clientId={clientId}
              buttonText="Logout"
              onLogoutSuccess={logout}
            />
          ) : (
              <GoogleLogin
                clientId={clientId}
                buttonText="Login"
                onSuccess={responseGoogle}
                onFailure={responseGoogle}
                cookiePolicy={"single_host_origin"}
              />
            )}
        </li>
      </ul>
    </nav>
  );
}

export default Navbar;
