import React, { Component } from 'react'
import '../components/css/component.css'
import {withRouter} from 'react-router-dom'

class SearchBox extends Component {
  constructor(props) {
    super(props);
    this.state = {
      searchText: '',
      templeList: [],
    }
    this.handleChange = this.handleChange.bind(this);
  }

  handleChange = (event) => {
    this.setState({
      searchText: event.target.value
    });
  }

  onSearchTemple = (event) => {
    if (event.key === 'Enter') {
      console.log(`http://localhost:5000/temples/name/${this.state.searchText}`);
      fetch(
        `http://localhost:5000/temples/name/${this.state.searchText}`, {
        method: 'GET',
        headers: { "Content-Type": "application/json" },
      }).then((res) => res.json()).then((temple) => {this.setState({templeList: temple})}).then(res => this.props.history.push("/result/",{ data: this.state.templeList }));
    }
  }
  render() {
    return (
      <>
        <div class='search'>
          <input class='form-control'
            type='text'
            placeholder='Current Location'
            ref='temple'
            onChange={this.handleChange}
            onKeyPress={this.onSearchTemple}
          />
        </div>
      </>
    )
  }
}
export default withRouter(SearchBox);