import React, { useState, useEffect } from "react";
import GoogleMapReact from 'google-map-react';
import axios from "axios";
import TemplePin from './TemplePin';
import "./css/component.css";

console.log(process.env.REACT_APP_GOOGLE_API_KEY)


const API_KEY = process.env.REACT_APP_GOOGLE_API_KEY;

function TempleMap(props) {
    let lat = props.lat;
    let long = props.long;
    let templeId = props.templeId;
    const [templeNearby, setTempleNearby] = useState([]);

    const zoom = 15
    const center = { lat: props.lat, lng: props.long }



    useEffect(() => {
        axios
            .get(`http://localhost:5000/temples/nearby/${templeId}/`)
            .then((res) => setTempleNearby(res.data));
    }, []);

    console.log(templeNearby);



    return (
        <div>
            <div style={{ height: '500px', width: '500px', borderRadius: '20' }}>
                <GoogleMapReact
                    bootstrapURLKeys={{ key: API_KEY }}
                    center={center}
                    defaultZoom={zoom}
                >
                    <TemplePin lat={lat} lng={long} color='red' />

                    {templeNearby.map((temple, i) => (
                        <TemplePin lat={templeNearby[i].temple.lat} lng={templeNearby[i].temple.long} color={'orange'} />
                    ))
                    }

                </GoogleMapReact>
            </div>
        </div>
    )
}

export default TempleMap
