import React, { useState, useEffect } from "react";
import axios from "axios";
import { FaMapMarkerAlt } from "react-icons/fa";
import "./css/component.css";



function TempleNearby(props) {
    let templeId = props.templeId;
    const [templeNearby, setTempleNearby] = useState([]);
    


    useEffect(() => {
        axios
            .get(`http://localhost:5000/temples/nearby/${templeId}/`)
            .then((res) => setTempleNearby(res.data));
    }, []);

    console.log(templeNearby);

    return (
        <div>

            <h4 className="nearby">Nearby: </h4>

            {templeNearby.map((temple, i) => (
                
                <div className="nearby-all" key={i} >
                    {/* <FaMapMarkerAlt size='30px' color='#D0312D' /> */}
                    <button className="nearby-box" onClick={event =>  window.location.href=`/temple/${templeNearby[i].temple._id}`}>
                        <div className="nearby-name">
                            <p>{templeNearby[i].temple.name}</p>
                        </div>
                        <div className="nearby-dis">
                            <p>{templeNearby[i].distance} KM</p>
                        </div>
                    </button>
                </div>
            ))
            }


        </div >
    )
}

export default TempleNearby
