import React, { useState, useEffect } from "react";
import Navbar from "../components/Navbar";
import SearchBox from "../components/SearchBox";
import axios from "axios";

const clientId = process.env.REACT_APP_GOOGLE_CLIENT_ID;

function Home() {
  const [isLoggedIn, setIsLoggedIn] = useState(localStorage.getItem("LoginStatus") || "0");
  const [userId, setUserId] = useState(localStorage.getItem("UserId") || "");
  
  useEffect(() => {
    localStorage.setItem("UserId", userId);
  }, [userId]);
  
  const responseGoogle = (response) => {
    if (response.accessToken) {
      localStorage.setItem("LoginStatus", "1");
      setIsLoggedIn("1");

      axios
        .post("http://127.0.0.1:5000/users", {
          name: response.profileObj.name,
          email: response.profileObj.email,
        })
        .then((res) => setUserId(res.data._id));

      console.log(`userId ${userId}`);
    } else {
        console.log(response);
    }
  };
  
  const logout = () => {
    localStorage.setItem("LoginStatus", "0");
    localStorage.setItem("UserId", "")
    setIsLoggedIn("0");
    setUserId("");
  };
  
  return (
    <>
      <Navbar
        clientId={clientId}
        responseGoogle={responseGoogle}
        isLoggedIn={isLoggedIn}
        logout={logout}
      />
      <SearchBox/>
    </>
  );
}

export default Home;
