import React, { useState, useEffect } from "react";
import Navbar from "../components/Navbar";
import CardDetail from "../components/Card";
import axios from "axios";
import "./Temple.css";

const clientId = process.env.REACT_APP_GOOGLE_CLIENT_ID;

function Temple(props) {
  const [isLoggedIn, setIsLoggedIn] = useState(localStorage.getItem("LoginStatus") || "0");
  const [userId, setUserId] = useState(localStorage.getItem("UserId") || "");
  
  useEffect(() => {
    localStorage.setItem("UserId", userId);
  }, [userId]);
  
  const responseGoogle = (response) => {
    if (response.accessToken) {
      localStorage.setItem("LoginStatus", "1");
      setIsLoggedIn("1");

      axios
        .post("http://127.0.0.1:5000/users", {
          name: response.profileObj.name,
          email: response.profileObj.email,
        })
        .then((res) => setUserId(res.data._id));

      console.log(`userId ${userId}`);
    } else {
        console.log(response);
    }
  };
  
  const logout = () => {
    localStorage.setItem("LoginStatus", "0");
    localStorage.setItem("UserId", "")
    setIsLoggedIn("0");
    setUserId("");
  };
    
  return (
    <>
      <div className="temple">
        <div>
          <Navbar
            clientId={clientId}
            responseGoogle={responseGoogle}
            isLoggedIn={isLoggedIn}
            userId={userId}
            logout={logout}
          />
        </div>
        <div className="card">
          <CardDetail userId={userId} templeId={props.match.params.templeId} />
        </div>
      </div>
    </>
  );
}

export default Temple;
